Table of contents

Checking installation prerequisites by using the db2prereqcheck command

You can use the db2prereqcheck command to check the software prerequisites of a specific Db2® version, generate a report file, and execute other tasks.

Using the db2prereqcheck command, you can determine whether your system satisfies the Db2 installation prerequisites without having to start the Db2 installation. This command checks prerequisites such as operating system level, the Linux® distribution, the AIX® Technology Level, and C library and runtime patches. The command also checks prerequisites that are related to the client, uDAPL, GPL, and Db2 pureScale®.

The Db2 product comes with the db2prereqcheck binary and the DB2prereqs.xml file. These files are found in the folder where the installation image is located.On AIX operating systems, the DB2prereqs.xml file is in both the db2/aix/install and db2/aix/bin directories. The DB2prereqs.xml file contains the prerequisite from Version 9.8 Fix Pack 2 to Version 11.5. You must not modify the contents of the file. You must run the db2prereqcheck command in the directory where the installation image is located.

If you run the db2prereqcheck command with no parameters, it determines whether the system meets the prerequisites for all the Db2 releases and fix packs that are defined in the resource XML file.

  • To check the prerequisites for the latest Db2 version that you defined in the resource XML file, issue the db2prereqcheck command with the -i parameter as shown in the following example:

    $ ./db2prereqcheck -i
    Remember: The -i parameter checks for prerequisites that are not Db2 pureScale related.
  • For Db2 Version 11.5, to check the prerequisites for the latest Db2 version that you defined in the resource XML file, issue the db2prereqcheck command with -l parameter. The following is an example of the command:

    $ ./db2prereqcheck -l
  • To check whether the system meets the prerequisite for the specific Db2 version that you defined in the resource XML file, issue the db2prereqcheck command with the -v version_number parameter. For example, to check whether the prerequisites are met for Db2 Version 11.5, issue the following command:

    $ ./db2prereqcheck -v 11.5.0.0 
  • To generate a report file that contains validation information and output from the db2prereqcheck command (including a summary section that lists all failing tests), use the -o <filename> parameter. Specify the full report file name path to generate the report in another directory. The prerequisites for installing the Db2 product are displayed on the command screen without the -o <filename> parameter, as shown in the following example:

    $ ./db2prereqcheck -v 11.5.0.0 -o report.rpt
  • You can use the -f parameter to specify the XML file, as shown in the following example:

    $ ./db2prereqcheck -i -f ./newDB2prereqs.xml
    If you do not specify the -f parameter, the default XML file (DB2 installation/cfg/DB2prereqs.xml) is used.
  • On AIX64 and Linuxamd64 operating systems, to validate prerequisites for a Db2 pureScale installation, use the -p parameter. The following example shows the usage of the -p parameter:
    $ ./db2prereqcheck -p -v 11.5.0.0
    Attention: By specifying the -p parameter, db2prereqcheck checks for free space. Particularly, db2prereqcheck checks if /tmp contains 2 GB of usable space, /var contains 500 MB, and /opt contains 5 GB.
  • On Linuxamd64 operating systems, to validate prerequisites for a specific network configuration of a Db2 pureScale installation, use the db2prereqcheck command with both the -p and -t <network configuration type> options. You must set the network configuration type to a single InfiniBand port cluster, multiple InfiniBand port cluster, single RoCE port cluster, or multiple RoCE port clusters (SINGLE_IB_PORT_CLUSTER,MULTI_IB_PORT_CLUSTER, SINGLE_ROCE_PORT_CLUSTER, or MULTI_ROCE_PORT_CLUSTER). You can issue the db2prereqcheck command, as shown in the following example:
    $ ./db2prereqcheck -v 11.5.0.0 -p -t <network configuration type>
    Note: The -t parameter is deprecated, use the -hl together with -nm parameters instead.
Note: For a Db2 pureScale installation on AIX operating systems that use RoCE networks, you must check the AIX and uDAPL software prerequisites manually. The db2prereqcheck command does not validate these levels.

If the db2prereqcheck command indicates that the system fails to meet the prerequisite, DBT3507E. The following example shows the usage of the command:

Validating ofed ...
   Required minimum version and release for ofed: 1.5.2-(null)
   DBT3507E  The db2prereqcheck utility failed to verify installation prerequisites 
   because the utility failed to find the following package or file: "ofed".
   ERROR: Requirement not matched.

Sample db2prereqcheck command output

The following sample output was generated on an AIX operating system. Use the -p parameter for a Db2 pureScale installation.

> > db2prereqcheck -p -v 11.5.0.0
==========================================================================
 Checking prerequisites for Db2 installation with the Db2
pureScale Feature.  Version: "11.5.0.0 Operating system: "AIX".

Validating kernel level ...
   Required minimum operating system kernel level : "7.1".
   Actual operating system kernel level: "7.1".
   Requirement matched.

Validating "AIX technology level and service pack" ...
   Required minimum technology level: "3" Service pack: "5"
   Actual technology level: "3" Service pack: '5'
   Requirement matched

Validating "Java for TSAMP"...
   Required minimum "Java" version: "7.1.0.145 or 7.0.0.265 or 6.0.0.265"
   Requirement matched.

Validating XL C/C++ Runtime ...
   Required minimum XL C/C++ Runtime level: "13.1.2.0"
   Actual version:  "13.1.2.0"
   Requirement matched.

Validating "IOPORTS" ...
   The input/output completion Port (IOCP) is installed on host "coralpib241".
   The input/output completion Port (IOCP) is  enabled on host "coralpib241".   Requirement matched.

Validating "free space" ...
   The directory "/tmp" has enough space on host "coralpib241".
   Requirement matched.

Validating "free space" ...
   The directory "/var" has enough space on host "coralpib241".
   Requirement matched.

Validating "free space" ...
   The directory "/usr" has enough space on host "coralpib241".
   Requirement matched.

DBT3533I  The db2prereqcheck utility has confirmed that all installation 
prerequisites were met.

The following sample output was generated on an AIX operating system. Use the -u parameter for Db2 pureScale uDAPL only.

> db2prereqcheck -u -v 11.5.0.0
==========================================================================
Checking prerequisites for Db2 installation. Version "11.5.0.0". Operating "AIX"

Validating uDAPL ...
   Required minimum uDAPL level:  7.1.3.30
   Actual version:  7.1.3.30
   Requirement matched.

DBT3533I  The db2prereqcheck utility has confirmed that all installation 
prerequisites were met. 

==========================================================================
Checking prerequisites for Db2 installation with the Db2
pureScale Feature.  Version: "11.5.0.0". Operating system: "AIX".

Validating uDAPL ...
   Required minimum uDAPL level:  7.1.3.30
   Actual version:  7.1.3.30
   Requirement matched.

DBT3533I The db2prereqcheck utility has that all installation prerequisites were met.

The following sample output was generated on an AIX operating system. Use the -c parameter for a client installation.

> db2prereqcheck -c -v 11.5.0.0
==========================================================================
Checking prerequisites for Db2 installation. Version "11.5.0.0". Operating "AIX"

Validating kernel level ...
   Required minimum operating system kernel level : "7.1".
   Actual operating system kernel level: "7.1".
   Requirement matched.

Validating AIX technology level and service pack ...
   Required minimum technology level: "3" Service pack: "5"
   Actual technology level: "3" Service pack "5"
   Requirement matched.

Validating XL C/C++ Runtime ...
   Required minimum XL C/C++ Runtime level:  "13.1.2.0"
   Actual version:  "13.1.2.0"
   Requirement matched.

DBT3533I  The db2prereqcheck utility has confirmed that all installation 
prerequisites were met.

The following sample output was generated on an AIX operating system. Use the -s parameter to display a validation summary only.

> db2prereqcheck -s -v 11.5.0.0
DBT3533I  The db2prereqcheck utility has that all installation prerequisites were met. 

DBT3533I  The db2prereqcheck utility has that all installation prerequisites were met.

The following sample output was generated on a Linux operating system. Use the -p parameter for Db2 pureScale installation.

> db2prereqcheck -p -v 11.5.0.0
==========================================================================
Checking prerequisites for Db2 installation with the Db2
pureScale Feature.  Version: "11.5.0.0". Operating system: "Linux".

Validating "Linux distribution" ...
   Required minimum operating system distribution: "SUSE"; Version: "11"; Service pack "4".
   Actual operating system distribution Version: "11"; Service pack: "4".
   Requirement matched.

Validating "kernel level " ...
   Required minimum operating system level: "2.6.16".
   Actual operating system kernel level "3.0.101".
   Requirement matched.

Validating "C++ Library version " ...
   Required minimum C++ library: "libstdc++.so.6"   
   Standard C++ library is located in following directory: "/usr/lib64/libstdc++.so.6.0.19".   
   Actual C++ library: "CXXABI_1.3.1"   Requirement matched.

Validating "32 bit version of "libstdc++.so.6" " ...   
   Found the 64 bit "/usr/lib64/libstdc++.so.6" in the following directory "/usr/lib64".   
   Found the 32 bit "/usr/lib/libstdc++.so.6" in the following directory "/usr/lib".   
   Requirement matched.

Validating sles-release ...
   Required minimum version and release for sles-release: 11.4.23
   Actual version of package: 11.4

   Requirement matched.

Validating kernel level ...
   Required minimum kernel level : 3.0.101
   Actual kernel level: 3.0.101-68.1
   Requirement matched.

Validating C++ Library version ...
   Required minimum C++ library: libstdc++.so.6
   Standard C++ library is located at: /usr/lib64/libstdc++.so.6.0.10
   Actual C++ library: CXXABI_1.3.1

Validating 32 bit version of libstdc++.so.6 ...
   Found the 64 bit /usr/lib64/libstdc++.so.6 at /usr/lib64
   Found the 32 bit /usr/lib/libstdc++.so.6 at /usr/lib
   Requirement matched.

Validating libc.so version ...
   glibc library is located in the following directory "/lib64/libc-2.11.3.so".   
   Required minimum glibc library version: "2.4.0"
   Actual glibc library version: "2.11.3"
   Requirement matched.

Validating libaio.so version ...
   glibc library is located in the following directory "/lib64/libc-2.11.3.so".
   Required minimum glibc library version "2.4.0"
   Actual glibc library version: "2.11.3"
   Requirement matched.

Validating "libaio.so version " ...
DBT3553I  The db2prereqcheck utility successfully loaded the libaio.so.1 file.
   Requirement matched.

 Validating "gcc" ...
   Package (or file) found: "gcc"
   Requirement matched.

Validating "binutils" ...
   Package (or file) found: "binutils"
   Requirement matched.

Validating "cpp" ...
   Package (or file) found: "cpp"
   Requirement matched.

Validating "gcc-c++" ...
   Package (or file) found: "gcc-c++"
   Requirement matched.

Validating "kernel-source" ...
   Package (or file) found: "kernel-source"
   Requirement matched.

Validating "Intel TCO WatchDog Timer Driver modules" ...
   The db2prereqcheck utility found that Intel TCO WatchDog Timer Driver module "iTCO_wdt is not loaded.
   The db2prereqcheck utility found that Intel TCO WatchDog Timer Driver module "iTCO_vendor_support" is not loaded.
   Requirement matched.

Validating "free space" ...
   The directory "/tmp" has enough space on host "coralxib18".
   Requirement matched.

Validating "free space" ...
   The directory "/var" has enough space on host "coralxib18".
   Requirement matched.

Validating "free space" ...
   The directory "/usr" has enough space on host "coralxib18".
   Requirement matched.

Validating "sg3_utils" ...   
   Package (or file) found: "sg3_utils"
   Requirement matched.

Validating "sg_persist" ...
   Package (or file) found: "/usr/bin/sg_persist"
   Requirement matched.

Validating "/lib/libpam.so*" ...
   Requirement matched.
   DBT3533I  The db2prereqcheck utility has confirmed that all installation prerequisites were met.  
        

The following sample output was generated on a Linux operating system. Use the -p and -t parameters to validate prerequisites for a specific network configuration. The output shows the results of validating a single InfiniBand port cluster configuration in a Db2 pureScale environment.

db2prereqcheck -v 11.5.0.0 -p -t SINGLE_IB_PORT_CLUSTER

Checking Db2 prerequisites for Db2 database version 11.5.0.0 on 
operating system "Linux"

Validating Linux distribution ...
   Required minimum operating system distribution: "RHEL"; 
   Version: "6"; Service pack: "7".
   Actual operating system distribution Version: "6"; 
   Service pack: "7".
   Requirement matched.

...

Validating Infiniband Support Package: libibcm.x86_64 ...
   Package (or file) found: libibcm.x86_64
   Requirement matched.

Validating Infiniband Support Package: librdmacm.x86_64 ...
   Package (or file) found: librdmacm.x86_64
   Requirement matched.

...

Validating Reliable Scalable Cluster Technology Package: 
   librdmacm.i686 ...
   Package (or file) found: librdmacm.i686
   Requirement matched.

Validating Reliable Scalable Cluster Technology Package: 
   libcxgb3.i686 ...
   Package (or file) found: libcxgb3.i686
   Requirement matched.

...

DBT3533I  The db2prereqcheck utility has confirmed that 
all installation prerequisites were met for Db2 database 
server with Db2
pureScale Feature. Version: "11.5.0.0".

The following sample output was generated on a Linux operating system. The output shows the results of validating a multiple RoCE port cluster configuration in a Db2 pureScale environment.

db2prereqcheck -v 11.5.0.0 -p -t MULTI_ROCE_PORT_CLUSTER

==========================================================================
Checking Db2 prerequisites for Db2 database version 11.5.0.0 on operating 
system "Linux"

Validating Linux distribution ...
   Required minimum operating system distribution: "RHEL"; Version: "6"; 
   Service pack: "7".
   Actual operating system distribution Version: "6"; Service pack: "7".
   Requirement matched.

...

Validating Infiniband Support Package: libibcm.x86_64 ...
   Package (or file) found: libibcm.x86_64
   Requirement matched.

Validating Infiniband Support Package: librdmacm.x86_64 ...
   Package (or file) found: librdmacm.x86_64
   Requirement matched.

...

Validating High Performance Networking Package: libibverbs-rocee.x86_64 ...
   Package (or file) found: libibverbs-rocee.x86_64
   Requirement matched.

Validating High Performance Networking Package: libmlx4-rocee.x86_64 ...
   Package (or file) found: libmlx4-rocee.x86_64
   Requirement matched.

Validating Reliable Scalable Cluster Technology Package: libibcm.i686 ...
   Package (or file) found: libibcm.i686
   Requirement matched.

Validating Reliable Scalable Cluster Technology Package: librdmacm.i686 ...
   Package (or file) found: librdmacm.i686
   Requirement matched.

...

DBT3533I  The db2prereqcheck utility has confirmed that all installation 
prerequisites were met for Db2 database server with Db2
pureScale Feature. Version: "11.5.0.0".

The following sample output was generated on a Linux operating system. For Db2 pureScale uDAPL only, use the -u parameter.

> db2prereqcheck -u -v 11.5.0.0
==========================================================================
Checking prerequisites for Db2 installation. Version "11.5.0.0". Operating "Linux"

Validating "dapl" ...
   Required minimum version for "dapl: "2.0.25"
   Actual version of package: "2.0.34"
   Requirement matched.

Validating "/lib/libpam.so*" ...
   Requirement matched.
DBT3533I  The db2prereqcheck utility has confirmed that all installation prerequisites were met.

==========================================================================
Checking prerequisites for Db2 installation with the Db2
pureScale Feature.  Version: "11.5.0.0". 
Operating system: "Linux".

Validating "dapl" ...
   Required minimum version for "dapl": "2.0.25"
   Actual version of package: "2.0.34"
   Requirement matched.

Validating sg3_utils ...
   Package (or file) found: sg3_utils
   Requirement matched.

Validating sg_persist ...
   Package (or file) found: /usr/bin/sg_persist
   Requirement matched.

All requirement matched for Db2 Server version 11.5.0.0 .

==========================================================================
Checking Db2 Prerequisites for Db2 Version 11.5.0.0 on Linux

Validating "dapl" ...
   Required minimum version for "dapl": "2.0.25"
   Actual version of package: "2.0.34"
   Requirement matched.

Validating sg3_utils ...
   Package (or file) found: sg3_utils
   Requirement matched.

Validating sg_persist ...
   Package (or file) found: /usr/bin/sg_persist
   Requirement matched.

Validating "/lib/libpam.so*" ...
   Requirement matched.
DBT3533I  The db2prereqcheck utility has confirmed that all installation prerequisites were met.

The following sample output was generated on a Linux operating system. Use the -c parameter for a client installation.

The following sample output was generated on a Linux operating system. Use the -c parameter for a client installation.

> db2prereqcheck -c -v 11.5.0.0
==========================================================================
Checking Db2 Prerequisites for Db2 Version 11.5.0.0 on Linux

Validating Linux distribution ...
   Required minimum SUSE version : (null) SP (null)

Validating sles-release ...
   Required minimum version and release for sles-release: 11.4.23
   Actual version of package: 11.4

   Requirement matched.

Validating kernel level ...
   Required minimum kernel level : 3.0.101
   Actual kernel level: 3.0.101-68.1
   Requirement matched.

Validating C++ Library version ...
   Required minimum C++ library: libstdc++.so.6
   Standard C++ library is located at: /usr/lib64/libstdc++.so.6.0.10
   Actual C++ library: CXXABI_1.3.1

Validating 32 bit version of libstdc++.so.6 ...
   Found the 64 bit /usr/lib64/libstdc++.so.6 at /usr/lib64
   Found the 32 bit /usr/lib/libstdc++.so.6 at /usr/lib
   Requirement matched.

All requirement matched for Db2 Client version 11.5.0.0 .

==========================================================================
Checking Db2 Prerequisites for Db2 Version 11.5.0.0 on Linux

Validating Linux distribution ...
   Required minimum SUSE version : (null) SP (null)

Validating sles-release ...
   Required minimum version and release for sles-release: 11.4.23
   Actual version of package: 11.4

   Requirement matched.

Validating kernel level ...
   Required minimum kernel level : 3.0.101
   Actual kernel level: 3.0.101-68.1
   Requirement matched.

Validating C++ Library version ...
   Required minimum C++ library: libstdc++.so.6
   Standard C++ library is located at: /usr/lib64/libstdc++.so.6.0.10
   Actual C++ library: CXXABI_1.3.1

Validating 32 bit version of libstdc++.so.6 ...
   Found the 64 bit /usr/lib64/libstdc++.so.6 at /usr/lib64
   Found the 32 bit /usr/lib/libstdc++.so.6 at /usr/lib
   Requirement matched.

Validating libc.so version ...
   glibc library is located at: /lib64/libc-2.11.1.so
   Required minimum glibc library version: 2.4.0
   Actual glibc library version: 2.11.1
   Requirement matched.

Validating ofed ...
   Required minimum version and release for ofed: 1.5.2-(null)
   Requirement matched.

Validating sg3_utils ...
   Package (or file) found: sg3_utils
   Requirement matched.

Validating sg_persist ...
   Package (or file) found: /usr/bin/sg_persist
   Requirement matched.

All requirement matched for Db2 Client version 11.5.0.0 Db2
pureScale Feature.

The following sample output was generated on a Linux operating system. Use the -s parameter to display a validation summary only.

DBT3533I  The db2prereqcheck utility has confirmed that all installation prerequisites were met.
DBT3533I  The db2prereqcheck utility has confirmed that all installation prerequisites were met.

The following sample output was generated on a Linux operating system. Use the -nm parameter or the -nl parameter to validate the type of adapter.

> ./db2prereqcheck -v 11.5.0.0 -p -nm coralinst09-ib0 
Validating ....
Validating....
Validating "Adapter and " ... 
The db2prereqcheck utility found that Interface Adapter "coralinst09-ib0" is an InfiniBand Adapter 
which is currently RDMA capable on host "coralinst09".